Name: libiptcdata
Version: 1.0.2
Release: alt1.1

%def_disable static

Summary: IPTC tag library
Group: System/Libraries
License: LGPL

URL: http://libiptcdata.sourceforge.net/
Source: http://dl.sourceforge.net/libiptcdata/libiptcdata-%version.tar.gz

# Automatically added by buildreq on Wed May 16 2007
BuildRequires: python-dev

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %version-%release

%package python
Summary: Python bindings for libiptcdata
Group: Development/C
Requires: %name = %version-%release

%if_enabled static
%package devel-static
Summary: Static library build of %name
Group: Development/C
Requires: %name-devel = %version-%release
%endif

%description
libiptcdata is a library for parsing, editing, and saving IPTC data
stored inside images. IPTC is a standard for encoding metadata such
as captions, titles, locations, etc. in the headers of an image file.
libiptcdata also includes a command-line utility for modifying the
metadata.

%description devel
The libiptcdata-devel package contains the libraries and include files
that you can use to develop libiptcdata applications.

%if_enabled static
%description devel-static
The static build of libiptcdata.
%endif

%description python
The libiptcdata-python package contains a Python module that allows Python
applications to use the libiptcdata API for reading and writing IPTC
metadata in images.

%prep
%setup -q

%build
%configure --enable-python %{subst_enable static}
%make_build

%install
%make_install DESTDIR=%buildroot install

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_bindir/*
%_libdir/*.so.*
%doc AUTHORS NEWS README

%files devel
%_libdir/*.so
%_includedir/*
%_libdir/pkgconfig/*
%_datadir/gtk-doc/html/libiptcdata

%files python
%doc python/README python/examples
%python_sitelibdir/*.so
%exclude %python_sitelibdir/*.la

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Sat Jan 26 2008 Grigory Batalov <bga@altlinux.ru> 1.0.2-alt1.1
- Rebuilt with python-2.5.

* Wed May 16 2007 Victor Forsyuk <force@altlinux.org> 1.0.2-alt1
- Initial build.
